File 7cca13ce1.patch of Package pointcloud

From 7cca13ce1300b04107b805d847b83871631abeca Mon Sep 17 00:00:00 2001
From: Blottiere Paul <blottiere.paul@gmail.com>
Date: Sun, 31 May 2020 23:38:16 +0200
Subject: [PATCH] Ignore minor version for postgresql >= 9

---
 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/configure.ac b/configure.ac
index c87dffff..08c1920b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -205,6 +205,11 @@ dnl the final version. This is to guard against user error...
 PGSQL_FULL_VERSION=`$PG_CONFIG --version`
 PGSQL_MAJOR_VERSION=`echo $PGSQL_FULL_VERSION | sed 's/[[^0-9]]*\([[0-9]]*\).*/\1/'`
 PGSQL_MINOR_VERSION=`echo $PGSQL_FULL_VERSION | sed 's/[[^0-9]]*\([[0-9]]*\)\.\([[0-9]]*\).*/\2/'`
+
+if test "$PGSQL_MAJOR_VERSION" -ge 9; then
+	PGSQL_MINOR_VERSION=0
+fi
+
 PGSQL_VERSION="$PGSQL_MAJOR_VERSION$PGSQL_MINOR_VERSION"
 
 AC_SUBST([PGSQL_MAJOR_VERSION])
openSUSE Build Service is sponsored by